- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Types | Private Member Functions | List of all members
libepubgen::EPUBParagraphStyleManager Class Reference

Small class to manage the paragraph style. More...

`#include <EPUBParagraphStyleManager.h>`

Inheritance diagram for libepubgen::EPUBParagraphStyleManager:

## Public Member Functions
| EPUBParagraphStyleManager ()
| constructor More...
virtual | ~EPUBParagraphStyleManager ()
| destructor More...
void | defineParagraph (librevenge::RVNGPropertyList const &pList)
| define a paragraph style More...
std::string | getClass (librevenge::RVNGPropertyList const &pList)
| returns the class name corresponding to a propertylist More...
void | send (EPUBCSSSink &out)
| send the data to the sink More...

## Protected Member Functions
void | extractProperties (librevenge::RVNGPropertyList const &pList, bool isList, EPUBCSSProperties &cssProps) const
| convert a property list into a CSS property map More...
void | extractBorders (librevenge::RVNGPropertyList const &pList, EPUBCSSProperties &cssProps) const
| add data corresponding to the border More...

## Protected Attributes
ContentNameMap_t | m_contentNameMap
| a map content -> name More...
std::map< int, std::string > | m_idNameMap
| a map id -> name More...

## Private Types
typedef boost::unordered_map< EPUBCSSProperties, std::string > | ContentNameMap_t

## Private Member Functions
| EPUBParagraphStyleManager (EPUBParagraphStyleManager const &orig)
EPUBParagraphStyleManager | operator= (EPUBParagraphStyleManager const &orig)

## Detailed Description

Small class to manage the paragraph style.

## Member Typedef Documentation

typedef boost::unordered_map<EPUBCSSProperties, std::string> libepubgen::EPUBParagraphStyleManager::ContentNameMap_t
| private

## Constructor & Destructor Documentation

libepubgen::EPUBParagraphStyleManager::EPUBParagraphStyleManager | ( |  | ) |
| inline

constructor

virtual libepubgen::EPUBParagraphStyleManager::~EPUBParagraphStyleManager | ( |  | ) |
| inline virtual

destructor

libepubgen::EPUBParagraphStyleManager::EPUBParagraphStyleManager | ( | EPUBParagraphStyleManager const & | orig | ) |
| private

## Member Function Documentation

void libepubgen::EPUBParagraphStyleManager::defineParagraph | ( | librevenge::RVNGPropertyList const & | pList | ) |

define a paragraph style

Referenced by libepubgen::EPUBHTMLGenerator::defineParagraphStyle().

void libepubgen::EPUBParagraphStyleManager::extractBorders | ( | librevenge::RVNGPropertyList const & | pList,
|  | EPUBCSSProperties & | cssProps
| ) |  | const
| protected

add data corresponding to the border

Referenced by extractProperties().

void libepubgen::EPUBParagraphStyleManager::extractProperties | ( | librevenge::RVNGPropertyList const & | pList,
|  | bool | isList,
|  | EPUBCSSProperties & | cssProps
| ) |  | const
| protected

convert a property list into a CSS property map

Referenced by getClass(), libepubgen::EPUBListStyleManager::getClass(), and libepubgen::EPUBListStyleManager::openLevel().

std::string libepubgen::EPUBParagraphStyleManager::getClass | ( | librevenge::RVNGPropertyList const & | pList | ) |

returns the class name corresponding to a propertylist

Referenced by defineParagraph(), and libepubgen::EPUBHTMLGenerator::openParagraph().

EPUBParagraphStyleManager libepubgen::EPUBParagraphStyleManager::operator= | ( | EPUBParagraphStyleManager const & | orig | ) |
| private

void libepubgen::EPUBParagraphStyleManager::send | ( | EPUBCSSSink & | out | ) |

send the data to the sink

Referenced by libepubgen::EPUBListStyleManager::send(), and libepubgen::EPUBGenerator::writeStylesheet().

## Member Data Documentation

ContentNameMap_t libepubgen::EPUBParagraphStyleManager::m_contentNameMap
| protected

a map content -> name

Referenced by getClass(), libepubgen::EPUBListStyleManager::getClass(), and send().

std::map<int, std::string> libepubgen::EPUBParagraphStyleManager::m_idNameMap
| protected

a map id -> name

Referenced by defineParagraph(), and getClass().

The documentation for this class was generated from the following files:

- EPUBParagraphStyleManager.h
- EPUBParagraphStyleManager.cpp